﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamMultiColumnComboEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public string DisplayMemberPath { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            DisplayMemberPath = "LastName";

            this.xmceEntities.SelectedItemsResetButtonVisibility = Visibility.Collapsed;
            this.xmceEntities.MultiSelectValueDelimiter = ',';
            this.xmceEntities.EmptyText = "Seleccione";
            this.xmceEntities.AllowMultipleSelection = true;
            this.xmceEntities.DisplayMemberPath = this.DisplayMemberPath;
            this.xmceEntities.CheckBoxVisibility = Visibility.Visible;

            ObservableCollection<Person> data = new ObservableCollection<Person>();
            data.Add(new Person() { Id = 1, LastName = "Doe", Age = 50 });
            data.Add(new Person() { Id = 2, LastName = "Doe", Age = 34.5555 });
            data.Add(new Person() { Id = 1, LastName = "Doe", Age = 56 });
            data.Add(new Person() { Id = 2, LastName = "Smith", Age = 23 });

            this.DataContext = data;
        }
    }

    public class Person : INotifyPropertyChanged
    {
        private int id;

        public int Id
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private double age;

        public double Age
        {
            get { return age; }
            set { age = value; NotifyPropertyChanged("Age"); }
        }

        private String lastName;

        public String LastName
        {
            get { return lastName; }
            set { lastName = value; NotifyPropertyChanged("LastName"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }

        }

    }
}
